<form class="{{cssClass}} flexcol" autocomplete="off">

  {{!-- Sheet Header --}}
  <header class="sheet-header flexrow">
    <img class="profile" src="{{document.img}}" title="{{document.name}}" data-edit="img" />

    <div class="header-details flexrow">
      <h1 class="title">
        <textarea name="name" placeholder="{{localize 'GDW.ItemName'}}">{{item.name}}</textarea>
      </h1>

      <div class="item-subtitle">
        <h4 class="item-type">{{capitalize item_type}}</h4>
        <span class="item-status">{{item_status}}</span>
      </div>

      <ul class="summary flexrow">
        <li>
          <span>{{ localize (lookup config.consumableTypes system.consumableType ) }}</span>&nbsp;
        </li>
        <li>
          <input type="text" name="system.source" value="{{system.source}}" placeholder="{{ localize 'Source' }}" />
        </li>
      </ul>
    </div>
  </header>

  {{!-- Item Sheet Navigation --}}
  <nav class="sheet-navigation tabs" data-group="primary">
    <a class="item active" data-tab="description">{{ localize "Description" }}</a>
    <a class="item" data-tab="barrel">{{ localize "Barrel" }}</a>
    <a class="item" data-tab="details">{{ localize "Details" }}</a>
  </nav>

  {{!-- Item Sheet Body --}}
  <section class="sheet-body">

    {{!-- Description Tab --}}
    {{> GDW.item-description }}

    {{!-- Derived Values --}}
    <div class="tab flexrow active" data-group="primary" data-tab="description">
      <fieldset>
        <legend>{{ localize "Derived Values" }}</legend>
      </fieldset>
    </div>

    {{!-- Barrel Tab --}}
    <div class="tab flexcol active" data-group="primary" data-tab="barrel">
      <fieldset>
        <legend>{{ localize "Barrel Derived Values" }}</legend>
        {{!-- Barrel Cost --}}
        <div class="form-group" data-name="barrel_cost">
          <label>{{ localize "Barrel Cost (Cr)" }}</label>
          <input name="barrel_cost" type="number" value="{{precision document.barrel_cost 3}}"
            title="Mass of the firearm's barrel in kilograms (kg)" readonly />
        </div>
        {{!-- Barrel Mass --}}
        <div class="form-group" data-name="barrel_mass">
          <label>{{ localize "Barrel Mass (kg)" }}</label>
          <input name="barrel_mass" type="number" value="{{precision document.barrel_mass 3}}"
            title="Mass of the firearm's barrel in kilograms (kg)" readonly />
        </div>
      </fieldset>
      <table>
        <colgroup>
          <col>
          <col span="2">
          <col span="2">
          <col span="2">
          <col span="2">
        </colgroup>
        <tr>
          <th scope="col">TL</th>
          <th scope="col">Average Barrel Length (mm)</th>
          <th scope="col">Actual Muzzle Energy (J)</th>
          <th scope="col">Damage</th>
          <th scope="col">Penetration</th>
        </tr>
        {{#each document.barrel as |barrel TL|}}
          <tr>
            {{!-- Tech Level --}}
            <th scope="row">{{ TL }}</th>
            {{!-- Average Barrel Length --}}
            <td>
              <input name="avg_barrel_length" type="number" value="{{fixed barrel.avg_barrel_length}}"
                title="Reference average length of the firearm's barrel at TL {{ TL }} in millimeters (mm)" readonly />
            </td>
            {{!-- Actual Muzzle Energy --}}
            <td>
              <input name="act_muzzle_energy" type="number" value="{{fixed barrel.act_muzzle_energy}}"
                title="Actual muzzle energy of the firearm's barrel at TL {{ TL }} in joules (J)" readonly />
            </td>
            {{!-- Damage Value --}}
            <td>
              <input name="damage_value" type="text" value="{{barrel.damage_value}}"
                title="The damage value of the firearm's barrel at TL {{ TL }} in six-sided dice (D) plus any mods"
                readonly />
            </td>
            {{!-- Penetration --}}
            <td>
              <input name="penetration" type="text" value="{{barrel.penetration}}"
                title="The penetration of the firearm's barrel at TL {{ TL }}" readonly />
            </td>
          </tr>
        {{/each}}
      </table>
    </div>

    {{!-- Details Tab --}}
    <div class="tab flexrow active" data-group="primary" data-tab="details">
      <fieldset>
        <legend>{{ localize "Firearm Specs" }}</legend>
        {{!-- Ammunition Type --}}
        <div class="form-group" data-name="system.ammo_type">
          <label>{{ localize "Chambered Ammunition" }}</label>
          <select name="system.ammo_type" data-tooltip="Type of ammunition that the firearm chambers">
            {{selectOptions AMMUNITION_TYPES selected=document.system.ammo_type}}
          </select>
        </div>
        {{!-- Firearm-weapon Barrel Type --}}
        <div class="form-group" data-name="system.barrel_type">
          <label>{{ localize "Barrel Type" }}</label>
          <select name="system.barrel_type" data-tooltip="Type of barrel that is fitted to the firearm">
            {{selectOptions BARREL_TYPES selected=document.system.barrel_type}}
          </select>
        </div>

        {{!-- Firearm-weapon Barrel Type --}}
        <div class="form-group" data-name="system.barrel_class">
          <label>{{ localize "Barrel Weight Class" }}</label>
          <select name="system.barrel_class" data-tooltip="The weight class of the barrel fitted to the firearm">
            {{selectOptions BARREL_CLASS selected=document.system.barrel_class}}
          </select>
        </div>

        {{!-- Actual Barrel Length --}}
        <div class="form-group" data-name="system.actual_barrel_length">
          <label>{{ localize "Actual Barrel Length (mm)" }}</label>
          <input name="system.actual_barrel_length" type="number"
            value="{{precision document.system.actual_barrel_length 3}}"
            title="Actual length of the firearm's barrel in millimeters" />
        </div>
      </fieldset>
  </section>

  <footer>
    <button type="submit">{{localize "Save"}}</button>
  </footer>
</form>
